<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*****************************************************************************
 * The contents of this file are subject to the RECIPROCAL PUBLIC LICENSE
 * Version 1.1 ("License"); You may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://opensource.org/licenses/rpl.php. Software distributed under the
 * License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND,
 * either express or implied.
 *
 * You may:
 * a) Use and distribute this code exactly as you received without payment or
 *    a royalty or other fee.
 * b) Create extensions for this code, provided that you make the extensions
 *    publicly available and document your modifications clearly.
 * c) Charge for a fee for warranty or support or for accepting liability
 *    obligations for your customers.
 *
 * You may NOT:
 * a) Charge for the use of the original code or extensions, including in
 *    electronic distribution models, such as ASP (Application Service
 *    Provider).
 * b) Charge for the original source code or your extensions other than a
 *    nominal fee to cover distribution costs where such distribution
 *    involves PHYSICAL media.
 * c) Modify or delete any pre-existing copyright notices, change notices,
 *    or License text in the Licensed Software
 * d) Assert any patent claims against the Licensor or Contributors, or
 *    which would in any way restrict the ability of any third party to use the
 *    Licensed Software.
 *
 * You must:
 * a) Document any modifications you make to this code including the nature of
 *    the change, the authors of the change, and the date of the change.
 * b) Make the source code for any extensions you deploy available via an
 *    Electronic Distribution Mechanism such as FTP or HTTP download.
 * c) Notify the licensor of the availability of source code to your extensions
 *    and include instructions on how to acquire the source code and updates.
 * d) Grant Licensor a world-wide, non-exclusive, royalty-free license to use,
 *    reproduce, perform, modify, sublicense, and distribute your extensions.
 *
 * The Original Code is: CommuniCore
 *                       Olavo Farias
 *                       2006-04-7 olavo.farias@gmail.com
 *
 * The Initial Developer of the Original Code is CommuniCore.
 * Portions created by CommuniCore are Copyright (C) 2005 CommuniCore Ltda
 * All Rights Reserved.
 ********************************************************************************/

  global $theme;
  
  require_once('modules/EcmPriceBooks/EcmPriceBook.php');
  require_once('themes/'.$theme.'/layout_utils.php');
  require_once('log4php/LoggerManager.php');
  require_once('XTemplate/xtpl.php');
  require_once('include/ListView/ListView.php');
  $image_path = 'themes/'.$theme.'/images/';
  
  class Popup_Picker{
   
   function Popup_Picker(){
    ;
   }
   
   function _get_where_clause(){
    $where = '';
    if(isset($_REQUEST['query'])){
     $where_clauses = array();
     append_where_clause($where_clauses, "name", "ecmpricebooks.name");
     $where = generate_where_statement($where_clauses);
    }
    return $where;
   }
   
   function process_page(){
    global $theme;
    global $mod_strings;
    global $app_strings;
    global $currentModule;
    
    $output_html = '';
    $where       = '';
    $where       = $this->_get_where_clause();
    
    $image_path  = 'themes/'.$theme.'/images/';
    
    $name              = empty($_REQUEST['name'])              ? ''    : $_REQUEST['name'];
    $request_data      = empty($_REQUEST['request_data'])      ? ''    : $_REQUEST['request_data'];
    $hide_clear_button = empty($_REQUEST['hide_clear_button']) ? false : true;
    $button            = "<form action='index.php' method='post' name='form' id='form'>\n";
    if(!$hide_clear_button){
     $button .= "<input type='button' name='button' class='button' onclick=\"send_back('','');\" title='"
      .$app_strings['LBL_CLEAR_BUTTON_TITLE']."' accesskey='"
      .$app_strings['LBL_CLEAR_BUTTON_KEY']  ."' value='  "
      .$app_strings['LBL_CLEAR_BUTTON_LABEL']."  ' />\n";
    }
    $button .= "<input type='submit' name='button' class='button' onclick=\"window.close();\" title='"
     .$app_strings['LBL_CANCEL_BUTTON_TITLE']."' accesskey='"
     .$app_strings['LBL_CANCEL_BUTTON_KEY']  ."' value='  "
     .$app_strings['LBL_CANCEL_BUTTON_LABEL']."  ' />\n";
    $button .= "</form>\n";
    $form = new XTemplate('modules/EcmPriceBooks/Popup_picker.html');
    $form->assign('MOD',          $mod_strings);
    $form->assign('APP',          $app_strings);
    $form->assign('THEME',        $theme);
    $form->assign('MODULE_NAME',  $currentModule);
    $form->assign('NAME',         $name);
    $form->assign('request_data', $request_data);
    $form->assign('PRICEBOOK_PRODUCT_ID', $_REQUEST['pricebook_product_id']);
    $form->assign('EXCHANGE_RATE_ID', $_REQUEST['exchange_rate_id']);
    
    ob_start();
    insert_popup_header($theme);
    $output_html .= ob_get_contents();
    ob_end_clean();
    
    $output_html .= get_form_header($mod_strings['LBL_SEARCH_FORM_TITLE'], '', false);
    
    $form->parse('main.SearchHeader');
    $output_html .= $form->text('main.SearchHeader');
    $output_html .= get_form_footer();
    
//  RESET THE SECTIONS THAT ARE ALREADY IN THE PAGE SO THAT THEY DO NOT PRINT AGAIN LATER.
    $form->reset('main.SearchHeader');
  
//  CREATE THE LISTVIEW
    $seed_bean                    = new EcmPriceBook();
	
	
	$r=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select price from ecmpricebooks_ecmproducts where ecmproduct_id='".$_REQUEST['pricebook_product_id']."' and ecmpricebook_id='".$seed_bean->id."'"));
	$seed_bean->price=$r['price'];
	
    $ListView                     = new ListView();
    $ListView->show_export_button = false;
    $ListView->process_for_popups = true;
    $ListView->setXTemplate($form);
    $ListView->setHeaderTitle($mod_strings['LBL_LIST_FORM_TITLE']);
    $ListView->setHeaderText($button);

    $ListView->setQuery($where, '', 'name', 'ECMPRICEBOOK');
    $ListView->setModStrings($mod_strings);
  
    ob_start();
    $ListView->processListView($seed_bean, 'main', 'ECMPRICEBOOK');
    $output_html .= ob_get_contents();
    ob_end_clean();
      
    $output_html .= get_form_footer();
    $output_html .= insert_popup_footer();
    return $output_html;
   }
  } // end of class Popup_Picker
?>